Package org.drinkless.tdlib

# Class TdApi.PushMessageContentVideoNote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentVideoNote

Enclosing class:
  `TdApi`

public static class TdApi.PushMessageContentVideoNote extends TdApi.PushMessageContent
A video note message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isPinned`
  True, if the message is a pinned message with the specified content.
  `TdApi.VideoNote`
  `videoNote`
  Message content; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentVideoNote()`
  A video note message.
  `PushMessageContentVideoNote(TdApi.VideoNote videoNote, boolean isPinned)`
  A video note message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### videoNote

    @Nullable public TdApi.VideoNote videoNote
    Message content; may be null.

  - ### isPinned

    public boolean isPinned
    True, if the message is a pinned message with the specified content.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentVideoNote

    public PushMessageContentVideoNote()
    A video note message.

  - ### PushMessageContentVideoNote

    public PushMessageContentVideoNote(TdApi.VideoNote videoNote, boolean isPinned)
    A video note message.
    Parameters:
      `videoNote` - Message content; may be null.
      `isPinned` - True, if the message is a pinned message with the specified content.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR